# This SQL script creates the required tables by ch.qos.logback.classic.db.DBAppender.
#
# It is intended for MySQL databases. It has been tested on MySQL 5.1.37 
# on Linux


BEGIN;
DROP TABLE IF EXISTS LOGGING_EVENT_PROPERTY;
DROP TABLE IF EXISTS LOGGING_EVENT_EXCEPTION;
DROP TABLE IF EXISTS LOGGING_EVENT;
COMMIT;


BEGIN;
CREATE TABLE LOGGING_EVENT 
  (
    TIMESTMP         BIGINT NOT NULL,
    FORMATTED_MESSAGE  TEXT NOT NULL,
    LOGGER_NAME       VARCHAR(254) NOT NULL,
    LEVEL_STRING      VARCHAR(254) NOT NULL,
    THREAD_NAME       VARCHAR(254),
    REFERENCE_FLAG    SMALLINT,
    CALLER_FILENAME   VARCHAR(254) NOT NULL,
    CALLER_CLASS      VARCHAR(254) NOT NULL,
    CALLER_METHOD     VARCHAR(254) NOT NULL,
    CALLER_LINE       CHAR(4) NOT NULL,
    EVENT_ID          INT NOT NULL AUTO_INCREMENT PRIMARY KEY
  );
COMMIT;

BEGIN;
CREATE TABLE LOGGING_EVENT_PROPERTY
  (
    EVENT_ID	      INT NOT NULL,
    MAPPED_KEY        VARCHAR(254) NOT NULL,
    MAPPED_VALUE      TEXT,
    PRIMARY KEY(EVENT_ID, MAPPED_KEY),
    FOREIGN KEY (EVENT_ID) REFERENCES LOGGING_EVENT(EVENT_ID)
  );
COMMIT;

BEGIN;
CREATE TABLE LOGGING_EVENT_EXCEPTION
  (
    EVENT_ID         INT NOT NULL,
    I                SMALLINT NOT NULL,
    TRACE_LINE       VARCHAR(254) NOT NULL,
    PRIMARY KEY(EVENT_ID, I),
    FOREIGN KEY (EVENT_ID) REFERENCES LOGGING_EVENT(EVENT_ID)
  );
COMMIT;